#!/bin/bash

APACHE_INSTALL_DIR=$1
SVR_INSTALL_DIR=$2
DOCUMENT_ROOT=$3
HTTP_PORT=$4
SSL_PORT=$5

echo "############################################"
echo "# relace configuration "
echo "############################################"

echo "APACHE_INSTALL_DIR = $APACHE_INSTALL_DIR"
echo "SVR_INSTALL_DIR = $SVR_INSTALL_DIR"
echo "DOCUMENT_ROOT = $DOCUMENT_ROOT"
echo "HTTP_PORT = $HTTP_PORT"
echo "SSL_PORT = $SSL_PORT"

sed -i -e "s#_APACHEHOME_SRC_#${APACHE_INSTALL_DIR}#g" $2/conf/httpd.conf
sed -i -e "s#_SRVROOT_SRC_#${SVR_INSTALL_DIR}#g" $2/conf/httpd.conf
sed -i -e "s#_DOCROOT_SRC_#${DOCUMENT_ROOT}#g" $2/conf/httpd.conf
sed -i -e "s#_HTTP_LISTEN_PORT_#${HTTP_PORT}#g" $2/conf/httpd.conf
sed -i -e "s#_SSL_LISTEN_PORT_#${SSL_PORT}#g" $2/conf/httpd-ssl.conf

sed -i -e "s#_APACHEHOME_SRC_#${APACHE_INSTALL_DIR}#g" $2/bin/apachectl
sed -i -e "s#_SRVROOT_SRC_#${SVR_INSTALL_DIR}#g" $2/bin/apachectl
sed -i -e "s#_SRVROOT_SRC_#${SVR_INSTALL_DIR}#g" $2/bin/env.sh

rm -f $2/conf/*-e
rm -f $2/bin/*-e
